%?mingw_package_header

Summary:	MinGW build of GLib bindings for D-Bus
Name:		mingw-dbus-glib
Version:	0.110
Release:	%mkrel 3
License:	AFL and GPLv2+
Group:		Development/Other
URL:		http://dbus.freedesktop.org/
Source:		http://dbus.freedesktop.org/releases/dbus-glib/dbus-glib-%{version}.tar.gz

BuildArch:	noarch

BuildRequires:	mingw32-dbus
BuildRequires:	mingw32-glib2
BuildRequires:	mingw32-expat
BuildRequires:	mingw32-pkg-config
BuildRequires:	mingw32-filesystem >= 95
BuildRequires:	mingw32-gcc
BuildRequires:	mingw32-gcc-c++
BuildRequires:	mingw32-binutils

BuildRequires:	mingw64-dbus
BuildRequires:	mingw64-glib2
BuildRequires:	mingw64-expat
BuildRequires:	mingw64-pkg-config
BuildRequires:	mingw64-filesystem >= 95
BuildRequires:	mingw64-gcc
BuildRequires:	mingw64-gcc-c++
BuildRequires:	mingw64-binutils

BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	pkgconfig(dbus-glib-1)


%description
D-Bus is a message bus system, a simple way for applications to talk to
one another. D-Bus supplies both a system daemon and a
per-user-log in-session daemon. Also, the message bus is built on top of
a general one-to-one message passing framework, which can be used by
any two apps to communicate directly (without going through the message
bus daemon).


# Win32
%package -n mingw32-dbus-glib
Summary:	MinGW build of GLib bindings for D-Bus

%description -n mingw32-dbus-glib
D-Bus is a message bus system, a simple way for applications to talk to
one another. D-Bus supplies both a system daemon and a
per-user-log in-session daemon. Also, the message bus is built on top of
a general one-to-one message passing framework, which can be used by
any two apps to communicate directly (without going through the message
bus daemon).

%package -n mingw32-dbus-glib-static
Summary:	MinGW build of GLib bindings for D-Bus static build
Requires:	mingw32-dbus-glib = %{version}-%{release}

%description -n mingw32-dbus-glib-static
Static version of the MinGW Windows D-Bus Message Bus System

# Win64
%package -n mingw64-dbus-glib
Summary:	MinGW build of GLib bindings for D-Bus

%description -n mingw64-dbus-glib
D-Bus is a message bus system, a simple way for applications to talk to
one another. D-Bus supplies both a system daemon and a
per-user-log in-session daemon. Also, the message bus is built on top of
a general one-to-one message passing framework, which can be used by
any two apps to communicate directly (without going through the message
bus daemon).

%package -n mingw64-dbus-glib-static
Summary:	MinGW build of GLib bindings for D-Bus static build
Requires:	mingw64-dbus-glib = %{version}-%{release}

%description -n mingw64-dbus-glib-static
Static version of the MinGW Windows D-Bus Message Bus System


%{?mingw_debug_package}


%prep
%setup -q -n dbus-glib-%{version}

iconv -f Latin1 -t UTF-8 -o ChangeLog.utf8 ChangeLog
mv ChangeLog.utf8 ChangeLog

%build
autoreconf --install --force
%mingw_configure --enable-static --enable-shared \
	--with-dbus-binding-tool=`which dbus-binding-tool` \
	--disable-bash-completion \
	--disable-abstract-sockets
%mingw_make %{?_smp_mflags}


%install
%mingw_make_install DESTDIR=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -name '*.la' -delete

rm -r ${RPM_BUILD_ROOT}%{mingw32_mandir}/man1/	# Duplicates native versions
rm -r ${RPM_BUILD_ROOT}%{mingw64_mandir}/man1/

# Win32
%files -n mingw32-dbus-glib
%doc COPYING README ChangeLog
%{mingw32_bindir}/libdbus-glib-1-2.dll
%{mingw32_includedir}/dbus-1.0/dbus/*.h
%{mingw32_libdir}/libdbus-glib-1.dll.a
%{mingw32_libdir}/pkgconfig/dbus-glib-1.pc
%{mingw32_bindir}/dbus-binding-tool.exe

%files -n mingw32-dbus-glib-static
%{mingw32_libdir}/libdbus-glib-1.a

# Win64
%files -n mingw64-dbus-glib
%doc COPYING README ChangeLog
%{mingw64_bindir}/libdbus-glib-1-2.dll
%{mingw64_includedir}/dbus-1.0/dbus/*.h
%{mingw64_libdir}/libdbus-glib-1.dll.a
%{mingw64_libdir}/pkgconfig/dbus-glib-1.pc
%{mingw64_bindir}/dbus-binding-tool.exe

%files -n mingw64-dbus-glib-static
%{mingw64_libdir}/libdbus-glib-1.a




%changelog
* Wed Feb 12 2020 umeabot <umeabot> 0.110-3.mga8
+ Revision: 1502071
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 0.110-2.mga7
+ Revision: 1279528
- Mageia 7 Mass Rebuild

* Fri Jun 15 2018 daviddavid <daviddavid> 0.110-1.mga7
+ Revision: 1237077
- new version: 0.110

* Wed May 11 2016 tv <tv> 0.104-1.mga6
+ Revision: 1012681
- new release

* Mon Feb 08 2016 umeabot <umeabot> 0.100.2-4.mga6
+ Revision: 946074
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.100.2-3.mga5
+ Revision: 747758
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.100.2-2.mga5
+ Revision: 682422
- Mageia 5 Mass Rebuild

* Fri Oct 25 2013 neoclust <neoclust> 0.100.2-1.mga4
+ Revision: 546964
- imported package mingw-dbus-glib


* Tue Sep 3 2013 Greg Hellings <greg.hellings@gmail.com> - 0.100.2-1
- Updated to new upstream version

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.100-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Sat Jan 26 2013 Greg Hellings <greg.hellings@gmail.com> - 0.100-4
- Added patch comment
- Removed resolved comments about License field
- Added --install --force arguments to autoreconf to satisfy rawhide

* Sat Jan 26 2013 Greg Hellings <greg.hellings@gmail.com> - 0.100-3
- Removed config cache files
- Added patch to replace cache file functionality
- Updated license to match native version
- Updated Summary fields to match MinGW packaging guidelines

* Tue Nov 20 2012 Greg Hellings <greg.hellings@gmail.com> - 0.100-2
- Updated to be more in line with packaging guidelines and practices

* Wed Aug 22 2012 Greg Hellings <greg.hellings@gmail.com> - 0.100-1
- Initial import
